//index.js
//获取应用实例
const app = getApp()

Page({
  data: {
    form: {
      type: '支付宝',
      name: '顾红伟',
      phone: '17319450324',
      isNum: '100.00',
    },
    number: ''
  },
  //提交
  formSubmit: function (e) {
    let data = this.data.form;
    data.number = e.detail.value.number;
    // 判断提现金额是否大于已拥有的金额
    if (parseFloat(data.number) <= parseFloat(data.isNum)) {
      // 扣除6%手续费
      data.number = (data.number - data.number * 0.06).toFixed(2);
      console.log(data);
    } else {
      wx.showToast({
        title: '输入错误，请重新输入',
        icon: 'none',
        duration: 2000
      })
    }
  },
  // 兑换记录
  exchangeList: function () {
    wx.navigateTo({
      url: '/pages/exchange/exchangeList'
    })
  },
  onLoad: function () {
  },
})
